Package com.mockobjects.net

# Class MockSocketFactory

java.lang.Object
com.mockobjects.MockObject
com.mockobjects.net.MockSocketFactory

All Implemented Interfaces:
  `SocketFactory`, `Verifiable`

public class MockSocketFactory extends MockObject implements SocketFactory

## Constructor Summary

Constructors
Constructor
Description
`MockSocketFactory()`

## Method Summary

Modifier and Type
Method
Description
`Socket`
`createSocket(String aHost, int aPort)`
`void`
`setExpectedHost(String aHost)`
`void`
`setExpectedPort(String aPort)`
`void`
`setupCreateSocket(Socket aSocket)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockSocketFactory

public MockSocketFactory()

## Method Details

### setupCreateSocket

public void setupCreateSocket(Socket aSocket)

### setExpectedHost

public void setExpectedHost(String aHost)

### setExpectedPort

public void setExpectedPort(String aPort)

### createSocket

public Socket createSocket(String aHost, int aPort)

Specified by:
  `createSocket` in interface `SocketFactory`